load("@ytt:base64", "base64")
load("@ytt:json", "json")

def make_docker_config_json(registry, username, password):
	docker_auth = base64.encode("{}:{}".format(username, password))
    docker_creds = {"username": username, "password": password, "auth": docker_auth}
    return base64.encode(json.encode({"auths": {registry: docker_creds}}))
end

def exactly_one(values):
    found = False;
    for v in values:
		if v:
			if found:
				return False
			end
			found = True
		end
    end
    return found
end


def one_or_none(values):
    found = False;
    for v in values:
		if v:
			if found:
				return False
			end
			found = True
		end
    end
    return True
end
